<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.ss.usermodel.CellType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.ss.usermodel.CellType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
               title="enum in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/CellType.html" target="_top">Frames</a>
        </li>
        <li><a href="CellType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.ss.usermodel.CellType" class="title">Uses of Class<br>org.apache.poi.ss.usermodel.CellType
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.format">org.apache.poi.ss.format</a></td>
                    <td class="colLast">
                        <div class="block">This package contains classes that implement cell formatting</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#getCachedFormulaResultType--">getCachedFormulaResultType</a></span>()</code>
                                <div class="block">Only valid for formula cells</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#getCachedFormulaResultTypeEnum--">getCachedFormulaResultTypeEnum</a></span>()</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">use <code>getCachedFormulaResultType</code>
 Will be deleted when we make the CellType enum transition. See bug 59791.</span></div>
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#getCellType--">getCellType</a></span>()</code>
                                <div class="block">get the cells type (numeric, formula or string)</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#getCellTypeEnum--">getCellTypeEnum</a></span>()</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFCell</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#createCell-int-org.apache.poi.ss.usermodel.CellType-">createCell</a></span>(int&nbsp;columnIndex,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</code>
                                <div class="block">Use this to create new cells within the row and return it.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#setCellType-org.apache.poi.ss.usermodel.CellType-">setCellType</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;cellType)</code>
                                <div class="block">Set the cells type (numeric, formula or string).</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#HSSFCell-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-int-short-org.apache.poi.ss.usermodel.CellType-">HSSFCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                int&nbsp;row,
                                short&nbsp;col,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</code>
                                <div class="block">Creates new Cell - Should only be called by HSSFRow.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.format">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a> in <a
                            href="../../../../../../org/apache/poi/ss/format/package-summary.html">org.apache.poi.ss.format</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/format/package-summary.html">org.apache.poi.ss.format</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellFormat.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/format/CellFormat.html#ultimateType-org.apache.poi.ss.usermodel.Cell-">ultimateType</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                <div class="block">Returns the ultimate cell type, following the results of formulas.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellFormat.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/format/CellFormat.html#ultimateTypeEnum-org.apache.poi.ss.usermodel.Cell-">ultimateTypeEnum</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">use <code>ultimateType</code> instead</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a> in <a
                            href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateFormulaCell-org.apache.poi.ss.usermodel.Cell-">evaluateFormulaCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                <div class="block">If cell contains formula, it evaluates the formula,
                                    and saves the result of the formula.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateFormulaCellEnum-org.apache.poi.ss.usermodel.Cell-">evaluateFormulaCellEnum</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">use <code>evaluateFormulaCell(cell)</code> instead</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">EvaluationCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/EvaluationCell.html#getCachedFormulaResultType--">getCachedFormulaResultType</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">EvaluationCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/EvaluationCell.html#getCachedFormulaResultTypeEnum--">getCachedFormulaResultTypeEnum</a></span>()</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">POI 3.15 beta 3.
 Will be deleted when we make the CellType enum transition. See bug 59791.</span></div>
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">EvaluationCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/EvaluationCell.html#getCellType--">getCellType</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">EvaluationCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/EvaluationCell.html#getCellTypeEnum--">getCellTypeEnum</a></span>()</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">POI 3.15 beta 3.</span></div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.html#isType-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.CellType-">isType</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</code>
                                <div class="block">Note that this assumes the cell cached value is up to date and in
                                    sync with data edits
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setCellType-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.CellType-">setCellType</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;cellType)</code>
                                <div class="block">Override if a different variation is needed, e.g.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#evaluateFormulaCell-org.apache.poi.ss.usermodel.Cell-">evaluateFormulaCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                <div class="block">If cell contains formula, it evaluates the formula,
                                    and saves the result of the formula.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#evaluateFormulaCellEnum-org.apache.poi.ss.usermodel.Cell-">evaluateFormulaCellEnum</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">use <code>evaluateFormulaCell(cell)</code></span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html#forInt-int-">forInt</a></span>(int&nbsp;code)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">POI 3.15 beta 3. Used to transition code from <code>int</code>s to <code>CellType</code>s.</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Cell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html#getCachedFormulaResultType--">getCachedFormulaResultType</a></span>()</code>
                                <div class="block">Only valid for formula cells

                                    Will return <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                                   title="enum in org.apache.poi.ss.usermodel"><code>CellType</code></a>
                                    in a future version of POI.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Cell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html#getCachedFormulaResultTypeEnum--">getCachedFormulaResultTypeEnum</a></span>()</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Cell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html#getCellType--">getCellType</a></span>()</code>
                                <div class="block">Return the cell type.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellValue.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellValue.html#getCellType--">getCellType</a></span>()</code>
                                <div class="block">Return the cell type.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Cell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html#getCellTypeEnum--">getCellTypeEnum</a></span>()</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellValue.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellValue.html#getCellTypeEnum--">getCellTypeEnum</a></span>()</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">use <code>getCellType</code> instead</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                <div class="block">Returns the enum constant of this type with the specified name.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">CellType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html#values--">values</a></span>()</code>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                          title="interface in org.apache.poi.ss.usermodel">Cell</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">Row.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html#createCell-int-org.apache.poi.ss.usermodel.CellType-">createCell</a></span>(int&nbsp;column,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</code>
                                <div class="block">Use this to create new cells within the row and return it.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Cell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellType-org.apache.poi.ss.usermodel.CellType-">setCellType</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;cellType)</code>
                                <div class="block">Set the cells type (numeric, formula or string).</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.streaming">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a> in <a
                            href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html#getCachedFormulaResultType--">getCachedFormulaResultType</a></span>()</code>
                                <div class="block">Only valid for formula cells</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html#getCachedFormulaResultTypeEnum--">getCachedFormulaResultTypeEnum</a></span>()</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">use <code>getCachedFormulaResultType</code> instead</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html#getCellType--">getCellType</a></span>()</code>
                                <div class="block">Return the cell type.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html#getCellTypeEnum--">getCellTypeEnum</a></span>()</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">use <code>getCellType</code> instead</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html"
                                    title="class in org.apache.poi.xssf.streaming">SXSSFCell</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFRow.html#createCell-int-org.apache.poi.ss.usermodel.CellType-">createCell</a></span>(int&nbsp;column,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</code>
                                <div class="block">Use this to create new cells within the row and return it.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html#setCellType-org.apache.poi.ss.usermodel.CellType-">setCellType</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;cellType)</code>
                                <div class="block">Set the cells type (numeric, formula or string)</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html#SXSSFCell-org.apache.poi.xssf.streaming.SXSSFRow-org.apache.poi.ss.usermodel.CellType-">SXSSFCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFRow.html"
                                    title="class in org.apache.poi.xssf.streaming">SXSSFRow</a>&nbsp;row,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;cellType)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html#getCachedFormulaResultType--">getCachedFormulaResultType</a></span>()</code>
                                <div class="block">Only valid for formula cells</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html#getCachedFormulaResultTypeEnum--">getCachedFormulaResultTypeEnum</a></span>()</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">use <code>getCachedFormulaResultType</code> instead
 Will be deleted when we make the CellType enum transition. See bug 59791.</span></div>
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html#getCellType--">getCellType</a></span>()</code>
                                <div class="block">Return the cell type.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html#getCellTypeEnum--">getCellTypeEnum</a></span>()</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">use <code>getCellType</code> instead</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                title="enum in org.apache.poi.ss.usermodel">CellType</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFCell</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#createCell-int-org.apache.poi.ss.usermodel.CellType-">createCell</a></span>(int&nbsp;columnIndex,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</code>
                                <div class="block">Use this to create new cells within the row and return it.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseXSSFFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html#setCellType-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.CellType-">setCellType</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;cellType)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html#setCellType-org.apache.poi.ss.usermodel.CellType-">setCellType</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;cellType)</code>
                                <div class="block">Set the cells type (numeric, formula or string)</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html#setCellType-org.apache.poi.ss.usermodel.CellType-org.apache.poi.xssf.usermodel.BaseXSSFEvaluationWorkbook-">setCellType</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                    title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;cellType,
                                <a href="../../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html"
                                   title="class in org.apache.poi.xssf.usermodel">BaseXSSFEvaluationWorkbook</a>&nbsp;evalWb)</code>
                                <div class="block">Needed by bug #62834, which points out getCellFormula() expects an
                                    evaluation context or creates a new one,
                                    so if there is one in use, it needs to be carried on through.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
               title="enum in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/CellType.html" target="_top">Frames</a>
        </li>
        <li><a href="CellType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
